
QGIS Application - Bug report #6715

attribute table: negative numbers and nulls do not sort as expected

2012-11-15 11:51 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15880

Description

Load the attached shape file.

Open the attribute table and click on the column header to try to sort by "id".

Click on it again.

Why are the negative numbers and the nulls jumbled up?

Is this an issue with QGIS or with one of the underlying libraries?

Associated revisions

Revision 55e34090 - 2013-01-06 04:29 PM - Jürgen Fischer

attribute table: NULL values are considered less than other values (fixes #6715)

History

#1 - 2012-11-16 12:01 AM - Giovanni Manghi

- Status changed from Open to Feedback

in all the tickets you have files lately, the tests have been made on master or qgis 1.8 or both?

#2 - 2012-11-16 12:23 AM - Alister Hood

Only master.

#3 - 2012-11-16 12:28 AM - Alister Hood

OK, I'm testing in 1.8 now.

This one is the same in 1.8.

#4 - 2013-01-06 07:30 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"55e34090e50d8e910549685af41bf737c62ab73f".
Files

test_sorting.zip 1.37 KB 2012-11-15 Alister Hood

2025-05-18 2/2


